Bug 241790 - dot warns "Warning: black is not a known color."
dot warns "Warning: black is not a known color."
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 13:18 EDT by Mads Kiilerich
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.12-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 01:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for missing black in named colorspaces (1.45 KB, patch)
2007-07-12 14:56 EDT, John Ellson
no flags Details | Diff

  None (edit)
Description Mads Kiilerich 2007-05-30 13:18:08 EDT
Description of problem:
A confusing warning is given on previously valid input. The warning gives no
hint how to solve it. It seems to boil down to black being used as default
color, without black being available in standard color schemes.

Version-Release number of selected component (if applicable):
graphviz-2.12-7.fc7

How reproducible:
testcase below

Steps to Reproduce:
echo "digraph trala { node [colorscheme=pubu3]; foo []; }" > test.dot
/usr/bin/dot test.dot > /dev/null
  
Actual results:
Warning: black is not a known color.

Expected results:
no warning

Additional info:
regression from graphviz-2.8-5.fc6 to graphviz-2.12-7.fc7

Testcase reduced from a doxygen execution. Doxygen gave no hint what gave the
warning. The warning confused me when trying to trace other doxygen problems. A
lot of debugging showed that it was just a dot warning, apparently without any
consequences.
Comment 1 John Ellson 2007-07-12 14:56:23 EDT
Created attachment 159085 [details]
patch for missing black in named colorspaces

This bug has been fixed in CVS upstream and will appear in the 2.13.20070713
snapshot and in the 2.14 stable release.
Comment 2 Jima 2007-07-12 15:28:03 EDT
Thanks, John.

The attached patch didn't quite apply cleanly (2.12 contains colxlate.c,v 1.11
2006/07/27 03:44:05), but was trivial to adapt.  Running a test build...and it's
good.  Okay, pushing this for F-7 and devel.

Is there any timetable for 2.14?  No rush, just curious if that's what'll end up
in F-8.

Also, Mads: thanks for the very clear steps to reproduce. :-)

Now for my first adventure with Bodhi...
Comment 3 John Ellson 2007-07-12 16:31:49 EDT
No promises, but we're targetting for next Monday 07/16/2007.  Not a lot in the
way of new features.
Comment 4 Fedora Update System 2007-07-12 19:36:26 EDT
graphviz-2.12-8.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jima 2007-07-23 11:35:07 EDT
If I don't hear anything either way, I'll push the update to Stable on Thursday
(i.e., two weeks after entering Testing).

John, understood, life is unpredictable.  It'll get there when it gets there. :-)
Comment 6 Fedora Update System 2007-07-27 01:53:28 EDT
graphviz-2.12-8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.